package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.UserPersonal;
import com.lightinit.hsdataplatform.entity.UserPersonalExample;
import java.util.List;

import com.lightinit.hsdataplatform.model.admin.PersionalUserAuthListModel;
import com.lightinit.hsdataplatform.model.admin.PersionalUserSearchModel;
import org.apache.ibatis.annotations.Param;

public interface UserPersonalMapper {
    long countByExample(UserPersonalExample example);

    int deleteByExample(UserPersonalExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UserPersonal record);

    int insertSelective(UserPersonal record);

    List<UserPersonal> selectByExample(UserPersonalExample example);

    UserPersonal selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UserPersonal record, @Param("example") UserPersonalExample example);

    int updateByExample(@Param("record") UserPersonal record, @Param("example") UserPersonalExample example);

    int updateByPrimaryKeySelective(UserPersonal record);

    int updateByPrimaryKey(UserPersonal record);

    List<PersionalUserAuthListModel> selectModelList(PersionalUserSearchModel inputModel);

    long selectModelListCount(PersionalUserSearchModel inputModel);
}